View Issue Details

IDProjectCategoryView StatusLast Update
0000905luatexluatex bugpublic2015-05-14 13:25
ReporterHans HagenAssigned Toluigi scarso 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.79.0 
Target Version0.80.0Fixed in Version0.80.0 
Summary0000905: tex.pdftexbanner has duplicate tldev mentioning
DescriptionThere is a glitch in:

\directlua{print(tex.pdftexbanner)}
\directlua{print(status.banner)}

gives:

This is LuaTeX, Version beta-0.79.1 (TeX Live 2014/dev) (TeX Live 2014/dev) kpathsea version 6.2.0dev

This is LuaTeX, Version beta-0.79.1 (TeX Live 2014/dev)

The status.banner is okay (also in not mentioning kpse as one might not use that subsystem) but the pdftexbanner has a double mentioning of TeX Live.

TagsNo tags attached.

Activities

Hans Hagen

2015-03-27 10:19

manager   ~0001350

we have introduced

\luatexbanner

and made

\pdftexbanner
\pdftexversion
\pdftexrevision

obsolete after 0.80

Internally there is now only one banner variable instead of many,

Issue History

Date Modified Username Field Change
2014-06-06 11:54 Hans Hagen New Issue
2014-06-06 11:54 Hans Hagen Status new => assigned
2014-06-06 11:54 Hans Hagen Assigned To => Taco
2015-03-27 10:17 Hans Hagen Assigned To Taco => luigi scarso
2015-03-27 10:19 Hans Hagen Note Added: 0001350
2015-03-27 10:19 Hans Hagen Status assigned => resolved
2015-03-27 10:19 Hans Hagen Fixed in Version => 0.80.0
2015-03-27 10:19 Hans Hagen Resolution open => fixed
2015-05-14 13:25 Hans Hagen Status resolved => closed